Bug 28114 - OPAC Results availability line does not show homebranch/holding branch correctly
Summary: OPAC Results availability line does not show homebranch/holding branch correctly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 21260
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-08 14:50 UTC by Lucas Gass
Modified: 2021-04-19 13:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28114: Fix error in MARC21slim2OPACResults (1.68 KB, patch)
2021-04-08 14:55 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28114: Fix error in MARC21slim2OPACResults (1.73 KB, patch)
2021-04-08 18:31 UTC, David Nind
Details | Diff | Splinter Review
Bug 28114: Fix error in MARC21slim2OPACResults (1.79 KB, patch)
2021-04-13 13:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28114: Fix error in MARC21slim2OPACResults - correctly select singleBranchMode (1.90 KB, patch)
2021-04-14 13:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-04-08 14:50:07 UTC
Do an OPAC search and see that the availability line looks something like this:

Availability: Items available for loan: 1 , 1 , 2 . 

Instead of like this:

Availability: Items available for loan: Midway (1), Centerville (1), Fairview (2)

This is beacuse singebranchmode is always set to 1:

<xsl:variable name="singleBranchMode" select="1"/>

It needs to honor the system preference.
Comment 1 Lucas Gass 2021-04-08 14:55:07 UTC
Created attachment 119326 [details] [review]
Bug 28114: Fix error in MARC21slim2OPACResults

To test:
-Look at search results and see something like: Availability: Items available for loan: 1 , 1 , 2 .
-Apply patch
-See something like: Availability: Items available for loan: Midway (1), Centerville (1), Fairview (2)
Comment 2 David Nind 2021-04-08 18:31:28 UTC
Created attachment 119340 [details] [review]
Bug 28114: Fix error in MARC21slim2OPACResults

To test:
-Look at search results and see something like: Availability: Items available for loan: 1 , 1 , 2 .
-Apply patch
-See something like: Availability: Items available for loan: Midway (1), Centerville (1), Fairview (2)

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2021-04-13 13:55:28 UTC
Created attachment 119538 [details] [review]
Bug 28114: Fix error in MARC21slim2OPACResults

To test:
-Look at search results and see something like: Availability: Items available for loan: 1 , 1 , 2 .
-Apply patch
-See something like: Availability: Items available for loan: Midway (1), Centerville (1), Fairview (2)

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2021-04-13 13:55:46 UTC
Trivial obvious fix, passing QA
Comment 5 Jonathan Druart 2021-04-14 13:34:54 UTC
Created attachment 119576 [details] [review]
Bug 28114: Fix error in MARC21slim2OPACResults - correctly select singleBranchMode

To test:
-Look at search results and see something like: Availability: Items available for loan: 1 , 1 , 2 .
-Apply patch
-See something like: Availability: Items available for loan: Midway (1), Centerville (1), Fairview (2)

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2021-04-14 13:36:45 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-19 13:09:08 UTC
Depends on Bug 21260 not in 20.11.x